%define module  Sub-Uplevel
%define version 0.06
%define release 3mdk

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl
Requires: 	perl-base 
BuildRequires:	perl-devel

%description 
Apparently run a function in a higher stack frame.

%prep
%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc Changes
%{perl_vendorlib}/Sub
%{_mandir}/man3pm/*

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.06-3mdk
- rebuild

* Sun Aug 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.06-2mdk
- fixed missing man pages

* Sat Aug 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.06-1mdk
- first mdk release
